OGRE-Next: Ogre::VulkanAndroidWindow Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::VulkanAndroidWindow Class Referencefinal

`#include <OgreVulkanAndroidWindow.h>`

Inheritance diagram for Ogre::VulkanAndroidWindow:
[legend]

## Public Member Functions
| VulkanAndroidWindow (const String &title, uint32 width, uint32 height, bool fullscreenMode)
| ~VulkanAndroidWindow () override
void | _initialize (TextureGpuManager *textureGpuManager, const NameValuePairList *miscParams) override
void | _setVisible (bool visible) override
| Internal method to notify the window it has been obscured or minimized.
void | destroy () override
void | getCustomAttribute (IdString name, void *pData) override
bool | isHidden () const override
| Indicates whether the window was set to hidden (not displayed).
bool | isVisible () const override
void | reposition (int32 left, int32 top) override
void | requestResolution (uint32 width, uint32 height) override
| Requests a change in resolution.
void | setHidden (bool hidden) override
| Hide (or show) the window.
void | setNativeWindow (ANativeWindow *nativeWindow)
| If the ANativeWindow changes, allows to set a new one.
void | windowMovedOrResized () override
| Notify that the window has been resized.
Public Member Functions inherited from Ogre::VulkanWindowSwapChainBased
| VulkanWindowSwapChainBased (const String &title, uint32 width, uint32 height, bool fullscreenMode)
| ~VulkanWindowSwapChainBased () override
void | _swapBuffers (VkSemaphore queueFinishSemaphore)
| Actually performs present.
void | acquireNextSwapchain ()
bool | canDownloadData () const override
| Returns true if you can download to CPU (i.e.
PixelFormatGpu | chooseSurfaceFormat (bool hwGamma)
void | createSwapchain ()
void | destroy () override
void | destroySwapchain ()
void | getCustomAttribute (IdString name, void *pData) override
VkSemaphore | getImageAcquiredSemaphore ()
| Returns null if getImageAcquiredSemaphore has already been called during this frame.
size_t | getNumSwapchains () const
VkImage | getSwapchainImage (size_t idx) const
bool | isClosed () const override
| Indicates whether the window has been closed by the user.
void | parseSharedParams (const NameValuePairList *miscParams)
void | setVSync (bool vSync, uint32 vSyncInterval) override
| Turns VSync on/off.
void | setWantsToDownload (bool bWantsToDownload) override
| On Metal you must call this function and set it to true in order to take pictures.
void | swapBuffers () override
| Tells our VulkanDevice that the next commitAndNextCommandBuffer call should present us Calling swapBuffers during the command buffer that is rendering to us is key for good performance; otherwise Ogre may split the commands that render to this window and the command that presents this window into two queue submissions.
Public Member Functions inherited from Ogre::VulkanWindow
| VulkanWindow (const String &title, uint32 width, uint32 height, bool fullscreenMode)
void | _initialize (TextureGpuManager *textureGpuManager) override
void | _setDevice (VulkanDevice *device)
Public Member Functions inherited from Ogre::Window
| Window (const String &title, uint32 widthPt, uint32 heightPt, bool fullscreenMode)
virtual | ~Window ()
void | _setPrimary ()
| Indicates that this is the primary window.
bool | getBorderless () const
TextureGpu * | getDepthBuffer () const
uint32 | getFrequencyDenominator () const
uint32 | getFrequencyNumerator () const
uint32 | getHeight () const
virtual void | getMetrics (uint32 &width, uint32 &height, int32 &left, int32 &top) const
| Overloaded version of getMetrics from RenderTarget, including extra details specific to windowing systems.
PixelFormatGpu | getPixelFormat () const
uint32 | getRequestedHeightPt () const
uint32 | getRequestedWidthPt () const
SampleDescription | getSampleDescription () const
TextureGpu * | getStencilBuffer () const
TextureGpu * | getTexture () const
| WARNING: Attempting to change the TextureGpu (e.g.
const String & | getTitle () const
virtual float | getViewPointToPixelScale () const
| Many windowing systems that support HiDPI displays use special points to specify size of the windows and controls, so that windows and controls with hardcoded sizes does not become too small on HiDPI displays.
bool | getVSync () const
uint32 | getVSyncInterval () const
uint32 | getWidth () const
bool | isFocused () const
bool | isFullscreen () const
| Returns true if we are currently in fullscreen mode.
virtual bool | isManualSwapRelease () const
| Returns the value set by setManualSwapRelease when supported.
bool | isMultisample () const
bool | isPrimary () const
virtual void | performManualRelease ()
| See Window::setManualSwapRelease.
virtual void | requestFullscreenSwitch (bool goFullscreen, bool borderless, uint32 monitorIdx, uint32 widthPt, uint32 heightPt, uint32 frequencyNumerator, uint32 frequencyDenominator)
| Requests to toggle between fullscreen and windowed mode.
virtual void | setBorderless (bool borderless)
virtual void | setFocused (bool focused)
virtual void | setFsaa (const String &fsaa)
| Set the FSAA mode to be used if hardware support it.
virtual void | setManualSwapRelease (bool bManualRelease)
| Metal doesn't want us to hold on to a drawable after presenting.
virtual void | setTitle (const String &title)
bool | wantsToGoFullscreen () const
| Returns true if we are in windowed mode right now, but want to go fullscreen.
bool | wantsToGoWindowed () const
| Returns true if we are in fullscreen mode right now, but want to go windowed mode.

## Static Public Member Functions
static const char * | getRequiredExtensionName ()

## Additional Inherited Members
Public Types inherited from Ogre::VulkanWindowSwapChainBased
enum | Backend { BackendX11 = 1u << 0u }
enum | SwapchainStatus { SwapchainAcquired , SwapchainUsedInRendering , SwapchainPendingSwap , SwapchainReleased }
Public Attributes inherited from Ogre::VulkanWindowSwapChainBased
bool | mCanDownloadData
bool | mClosed
bool | mEnablePreTransform
bool | mLowestLatencyVSync
bool | mRebuildingSwapchain
bool | mSuboptimal
VkSurfaceKHR | mSurfaceKHR
VkSwapchainKHR | mSwapchain
FastArray< VkImage > | mSwapchainImages
VkSemaphore | mSwapchainSemaphore
| Note: We need a semaphore per frame, not per swapchain.
SwapchainStatus | mSwapchainStatus

## Constructor & Destructor Documentation

## ◆ VulkanAndroidWindow()

Ogre::VulkanAndroidWindow::VulkanAndroidWindow | ( | const String & | title,
|  | uint32 | width,
|  | uint32 | height,
|  | bool | fullscreenMode )

## ◆ ~VulkanAndroidWindow()

Ogre::VulkanAndroidWindow::~VulkanAndroidWindow | ( |  | ) |
| override

## Member Function Documentation

## ◆ _initialize()

void Ogre::VulkanAndroidWindow::_initialize | ( | TextureGpuManager * | textureGpuManager,
|  | const NameValuePairList * | miscParams )
| overridevirtual

Implements Ogre::VulkanWindow.

## ◆ _setVisible()

void Ogre::VulkanAndroidWindow::_setVisible | ( | bool | visible | ) |
| overridevirtual

Internal method to notify the window it has been obscured or minimized.

Implements Ogre::Window.

## ◆ destroy()

void Ogre::VulkanAndroidWindow::destroy | ( |  | ) |
| overridevirtual

Implements Ogre::Window.

## ◆ getCustomAttribute()

void Ogre::VulkanAndroidWindow::getCustomAttribute | ( | IdString | name,
|  | void * | pData )
| overridevirtual

Reimplemented from Ogre::Window.

## ◆ getRequiredExtensionName()

const char * Ogre::VulkanAndroidWindow::getRequiredExtensionName | ( |  | ) |
| static

## ◆ isHidden()

bool Ogre::VulkanAndroidWindow::isHidden | ( |  | ) | const
| overridevirtual

Indicates whether the window was set to hidden (not displayed).

Implements Ogre::Window.

## ◆ isVisible()

bool Ogre::VulkanAndroidWindow::isVisible | ( |  | ) | const
| overridevirtual

Implements Ogre::Window.

## ◆ reposition()

void Ogre::VulkanAndroidWindow::reposition | ( | int32 | left,
|  | int32 | top )
| overridevirtual

Implements Ogre::Window.

## ◆ requestResolution()

void Ogre::VulkanAndroidWindow::requestResolution | ( | uint32 | widthPt,
|  | uint32 | heightPt )
| overridevirtual

Requests a change in resolution.

Change is not immediate. Use getRequestedWidthPt & getRequestedHeightPt if you need to know what you've requested, but beware you may not get that resolution, and once we get word from the OS, getRequested{Width/Height}Pt will change again so that getWidth == getRequestedWidthPt * getViewPointToPixelScale.

Reimplemented from Ogre::Window.

## ◆ setHidden()

void Ogre::VulkanAndroidWindow::setHidden | ( | bool | hidden | ) |
| overridevirtual

Hide (or show) the window.

If called with hidden=true, this will make the window completely invisible to the user.

Remarks
  Setting a window to hidden is useful to create a dummy primary RenderWindow hidden from the user so that you can create and recreate your actual RenderWindows without having to recreate all your resources.

Implements Ogre::Window.

## ◆ setNativeWindow()

void Ogre::VulkanAndroidWindow::setNativeWindow | ( | ANativeWindow * | nativeWindow | ) |

If the ANativeWindow changes, allows to set a new one.

## ◆ windowMovedOrResized()

void Ogre::VulkanAndroidWindow::windowMovedOrResized | ( |  | ) |
| overridevirtual

Notify that the window has been resized.

Remarks
  You don't need to call this unless you created the window externally.

Reimplemented from Ogre::Window.

The documentation for this class was generated from the following file:

- OgreVulkanAndroidWindow.h